package com.loit.common.langfang;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.sql.*;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;


public class JdbcQueryUtils {


    private static Logger logger = LoggerFactory.getLogger(JdbcQueryUtils.class);

    /**
     * 必要配置-数据库相关配置
     */
    protected String url = "jdbc:mysql://10.39.10.228:3306/digital_city_test" + "?characterEncoding=utf8";
    protected String driverName = "com.mysql.cj.jdbc.Driver";
    protected String user = "root";
    protected String password = "Loit!#2022A";


    private Connection conn = null;

    public void init() {
        try {
            Class.forName(driverName);
            conn = DriverManager.getConnection(url, user, password);
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
        }

    }

    public static void main(String[] args) {
        try {
            JdbcQueryUtils generator = new JdbcQueryUtils();
            generator.init();

            List<String> columnList = new ArrayList<>();
            columnList.add("id");
            columnList.add("obj_code");
            columnList.add("obj_name");
            List<Map<String, String>> result = generator.queryDictInfo("select id, obj_code, obj_name from base_base_casetype where level = 2 and case_type = 2 and obj_name = '交通设施'", columnList);

            System.out.println(result.isEmpty());

        } catch (Exception e) {
            logger.error(e.getMessage(), e);
        }

        System.exit(0);
    }


    public List<Map<String, String>> queryDictInfo(String sql, List<String> columnList) {

        List<Map<String, String>> resultList = new ArrayList();
        PreparedStatement pstate = null;
        try {
            pstate = conn.prepareStatement(sql);
            ResultSet results = pstate.executeQuery();

            while (results.next()) {
                Map<String, String> objInfo = new LinkedHashMap<>();
                for (String col : columnList) {
                    objInfo.put(col, results.getString(col));
                }
                resultList.add(objInfo);
            }
        } catch (SQLException e) {
            logger.error(e.getMessage(), e);
        } finally {
            try {
                pstate.close();
            } catch (SQLException ignore) {
            }
        }

        return resultList;
    }

    public void close() {
        try {
            conn.close();
        } catch (SQLException ignore) {
        }
    }

}
