package com.loit.common.script.dto;

import com.loit.common.utils.excel.annotation.ExcelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 *
 */
@ApiModel(value = "SqlDDLDataDTO", description = "生成建表sqlDTO")
public class SqlDDLDataDTO implements Serializable {

    private static final long serialVersionUID = -6587921299183759035L;


    @ApiModelProperty(value = "表中文名")
    @ExcelField(title = "表中文名", sort = 1)
    private String tableChineseName;

    @ApiModelProperty(value = "表英文名")
    @ExcelField(title = "表英文名", sort = 2)
    private String tableEnglishName;


    @ApiModelProperty(value = "字段注释")
    @ExcelField(title = "字段注释", sort = 3)
    private String fieldComment;



    @ApiModelProperty(value = "字段名")
    @ExcelField(title = "字段名", sort = 4)
    private String fieldName;

    @ApiModelProperty(value = "字段类型")
    @ExcelField(title = "字段类型", sort = 5)
    private String fieldType;

    @ApiModelProperty(value = "字段长度")
    @ExcelField(title = "字段长度", sort = 6)
    private String fieldLength;


    @ApiModelProperty(value = "是否未空")
    @ExcelField(title = "是否未空", sort = 7)
    private String ifnullValue;


    @ApiModelProperty(value = "是否主键")
    @ExcelField(title = "是否主键", sort = 8)
    private String ifKey;

    @ApiModelProperty(value = "是否自动递增")
    @ExcelField(title = "是否自动递增", sort = 9)
    private String autoIncrement;

    public String getDefaultVal() {
        return defaultVal;
    }

    public void setDefaultVal(String defaultVal) {
        this.defaultVal = defaultVal;
    }

    @ApiModelProperty(value = "默认值")
    @ExcelField(title = "默认值", sort = 9)
    private String defaultVal;


    public String getTableEnglishName() {
        return tableEnglishName;
    }

    public void setTableEnglishName(String tableEnglishName) {
        this.tableEnglishName = tableEnglishName;
    }

    public String getTableChineseName() {
        return tableChineseName;
    }

    public void setTableChineseName(String tableChineseName) {
        this.tableChineseName = tableChineseName;
    }

    public String getFieldComment() {
        return fieldComment;
    }

    public void setFieldComment(String fieldComment) {
        this.fieldComment = fieldComment;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getFieldLength() {
        return fieldLength;
    }

    public void setFieldLength(String fieldLength) {
        this.fieldLength = fieldLength;
    }

    public String getIfnullValue() {
        return ifnullValue;
    }

    public void setIfnullValue(String ifnullValue) {
        this.ifnullValue = ifnullValue;
    }

    public String getIfKey() {
        return ifKey;
    }

    public void setIfKey(String ifKey) {
        this.ifKey = ifKey;
    }


    public String getAutoIncrement() {
        return autoIncrement;
    }

    public void setAutoIncrement(String autoIncrement) {
        this.autoIncrement = autoIncrement;
    }


}
